<?php namespace JF;

/**

Copyright 2017 JQueryForm.com
License: http://www.jqueryform.com/license.php

*/

class Form2DB {
    
    // mysql
    private $db = array(
        'host'    => 'localhost',
        'db'      => 'db_service',
        'user'    => 'root',
        'pass'    => '',
        'charset' => 'utf8',    
    );

    private $table = 'trnBooking';

    /*
    define the mapping between form field IDs and table columns
    */
    private $fieldMap = array(
        // formFieldID => columnName
		'f4'		   	=> 'cabang',
		'f14'			=> 'NoPol',
		'f10'			=> 'NamaLengkap',
		'f13'			=> 'NoHp',
		'f5'			=> 'TglBooking',
		'f17'			=> 'keluhan',
		'f11'			=> 'Perawatan',
		'f12'			=> 'Kendaraan',
		'f16'			=> 'Transmisi',

        'AutoID'       => 'AutoID',
        'Date'         => 'CreateDate',
        'Time'         => 'CreateTime',

    );

    private $pdo;

    private function connectDB(){
        $dsn = "mysql:host=" . $this->db['host'] . ";dbname=" . $this->db['db'] . ";charset=" . $this->db['charset'];
        $this->pdo = new \PDO( $dsn, $this->db['user'], $this->db['pass'] );
    }

    // $form is a array of form data after form validation
    public function saveFormData( $form ){
        $rowCount = 0;
        $values   = $this->getValues( $form );
        $columns  = array_keys( $values );
        $marks    = array_fill( 0, sizeof($columns), '?' );
        $sql      = "INSERT INTO " . $this->table . " (" . join( ",", $columns ) . ") VALUES ( " . join( ',', $marks ) . ")";        
        
        try{
            $this->connectDB();
            $stmt = $this->pdo->prepare( $sql );
            $stmt->execute( array_values($values) );
            $rowCount = $stmt->rowCount();
        } catch ( \PDOException $e ){
            // do nothing
            //die( $e->getMessage() );
        };
        
        return $rowCount;
    }

    private function getValues( $form ){
        $values = array();
        foreach( $this->fieldMap as $id => $column ){
            $values[ $column ] = isset($form[ $id ]) ? $form[ $id ] : '';
        }
        return $values;
    }
    
} // class



