  $(document).ready(function() {
    $('#contact_form').bootstrapValidator({
        // To use feedback icons, ensure that you use Bootstrap v3.1.0 or later
        feedbackIcons: {
            valid: 'glyphicon glyphicon-ok',
            invalid: 'glyphicon glyphicon-remove',
            validating: 'glyphicon glyphicon-refresh'
        },
        fields: {
            first_name: {
                validators: {
                        stringLength: {
                        min: 3,
						message: 'Minimal 3 Huruf'
                    },
                        notEmpty: {
                        message: 'Isi Nama Lengkap'
                    }
                }
            },
            email: {
                validators: {
                    notEmpty: {
                        message: 'Please supply your email address'
                    },
                    emailAddress: {
                        message: 'Please supply a valid email address'
                    }
                }
            },
            phone: {
                validators: {
                     stringLength: {
                        min: 8,
                    },
                    notEmpty: {
                        message: 'Nomor Handphone Belum Diisi'
                    }
                }
            },
            cabang: {
                validators: {
                    notEmpty: {
                        message: 'Pilih Nama Cabang'
                    }
                }
            },
			tgl_booking: {
				validators: {
					notEmpty: {
						message: 'Tanggal Booking belum dipilih'
					}
				}
			},
			jam: {
				validators: {
					notEmpty: {
						message: 'Jam Booking belum dipilih'
					}
				}
			},
			perawatan: {
                validators: {
                    notEmpty: {
                        message: 'Pilih Jenis Perawatan'
                    }
                }
            },
			kendaraan: {
				validators: {
					notEmpty: {
						message: 'Pilih Jenis Kendaraan'
					}
				}
			},
            request: {
                validators: {
                      stringLength: {
                        min: 10,
                        max: 200,
                        message:'Minimal 10 Karakter dan Maksimal 200 Karakter'
                    },
                    notEmpty: {
                        message: 'Mohon Diisi Keluhan atau permintaan perawatan'
                    }
                    }
                }
            }
        })
        .on('success.form.bv', function(e) {
            $('#success_message').slideDown({ opacity: "show" }, "slow") // Do something ...
                $('#contact_form').data('bootstrapValidator').resetForm();

            // Prevent form submission
            e.preventDefault();

            // Get the form instance
            var $form = $(e.target);

            // Get the BootstrapValidator instance
            var bv = $form.data('bootstrapValidator');

            // Use Ajax to submit form data
            $.post($form.attr('action'), $form.serialize(), function(result) {
                console.log(result);
            }, 'json');
        });
});

